summaryrefslogtreecommitdiffstats
path: root/tools/qmake/mkspecs/features/configure.prf
diff options
context:
space:
mode:
authorLars Knoll <lars.knoll@qt.io>2016-08-19 11:56:40 +0200
committerAllan Sandfeld Jensen <allan.jensen@qt.io>2016-08-23 08:35:33 +0000
commit06d5870306c1b58823ebaae294bc67a458ce87aa (patch)
tree322de02037ac3c844ccd4c301dd829bb47c3e7c4 /tools/qmake/mkspecs/features/configure.prf
parent5b909c1fe56f1de48fed1031a030771087d8ab22 (diff)
Adjust webengine to the qtConfig() changes in qtbase
Change-Id: I907f6ea73a1d707eda536764c4b0b2edea49a963 Reviewed-by: Simon Hausmann <simon.hausmann@qt.io>
Diffstat (limited to 'tools/qmake/mkspecs/features/configure.prf')
-rw-r--r--tools/qmake/mkspecs/features/configure.prf6
1 files changed, 3 insertions, 3 deletions
diff --git a/tools/qmake/mkspecs/features/configure.prf b/tools/qmake/mkspecs/features/configure.prf
index 9663c107..597a6d9d 100644
--- a/tools/qmake/mkspecs/features/configure.prf
+++ b/tools/qmake/mkspecs/features/configure.prf
@@ -24,10 +24,10 @@ defineTest(runConfigure) {
!config_khr:skipBuild("khronos development headers appear to be missing (mesa/libegl1-mesa-dev)")
REQUIRED_PACKAGES = dbus-1 fontconfig
- !cross_compile: contains(QT_CONFIG, xcb): REQUIRED_PACKAGES += libdrm xcomposite xcursor xi xrandr xscrnsaver xtst
+ !cross_compile: qtConfig(xcb): REQUIRED_PACKAGES += libdrm xcomposite xcursor xi xrandr xscrnsaver xtst
contains(QT_CONFIG, pulseaudio): REQUIRED_PACKAGES += libpulse
- contains(QT_CONFIG, system-png): REQUIRED_PACKAGES += libpng
- contains(QT_CONFIG, system-harfbuzz): REQUIRED_PACKAGES += harfbuzz
+ qtConfig(system-png): REQUIRED_PACKAGES += libpng
+ qtConfig(system-harfbuzz): REQUIRED_PACKAGES += harfbuzz
!cross_compile: REQUIRED_PACKAGES += libpci
for(package, $$list($$REQUIRED_PACKAGES)) {